commit:     2ea7c427ca0b4700995ed0a2c0775958b8762148
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 26 21:15:48 2021 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Fri Feb 26 21:15:48 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2ea7c427

dev-lua/luaexpat: don't use -DLUA_32BITS

Using '-DLUA_32BITS' is wrong and can cause problems with newer
versions.

Package-Manager: Portage-3.0.15, Repoman-3.0.2
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 dev-lua/luaexpat/luaexpat-1.3.0-r103.ebuild | 74 +++++++++++++++++++++++++++++
 1 file changed, 74 insertions(+)

diff --git a/dev-lua/luaexpat/luaexpat-1.3.0-r103.ebuild 
b/dev-lua/luaexpat/luaexpat-1.3.0-r103.ebuild
new file mode 100644
index 00000000000..b73300da7b3
--- /dev/null
+++ b/dev-lua/luaexpat/luaexpat-1.3.0-r103.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+LUA_COMPAT=( lua5-{1..4} luajit )
+
+inherit lua toolchain-funcs
+
+DESCRIPTION="LuaExpat is a SAX XML parser based on the Expat library"
+HOMEPAGE="https://matthewwild.co.uk/projects/luaexpat/ 
https://code.matthewwild.co.uk/lua-expat";
+SRC_URI="https://matthewwild.co.uk/projects/${PN}/${P}.tar.gz";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64 arm arm64 ~hppa ~mips ppc ppc64 sparc x86"
+REQUIRED_USE="${LUA_REQUIRED_USE}"
+
+RDEPEND="
+       dev-libs/expat
+       ${LUA_DEPS}
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+HTML_DOCS=( "doc/us/." )
+
+src_prepare() {
+       default
+
+       # Respect users CFLAGS
+       # Remove '-ansi' to compile with newer lua versions
+       sed -e 's/-O2//g' -e 's/-ansi//g' -i Makefile || die
+
+       lua_copy_sources
+}
+
+lua_src_compile() {
+       pushd "${BUILD_DIR}" || die
+
+       local myemakeargs=(
+               "CC=$(tc-getCC)"
+               "LUA_INC=$(lua_get_CFLAGS)"
+       )
+
+       emake "${myemakeargs[@]}"
+
+       popd
+}
+
+src_compile() {
+       lua_foreach_impl lua_src_compile
+}
+
+lua_src_install() {
+       pushd "${BUILD_DIR}" || die
+
+       local myemakeargs=(
+               "DESTDIR=${ED}"
+               "LUA_CDIR=$(lua_get_cmod_dir)"
+               "LUA_INC=$(lua_get_include_dir)"
+               "LUA_LDIR=$(lua_get_lmod_dir)"
+       )
+
+       emake "${myemakeargs[@]}" install
+
+       popd
+}
+
+src_install() {
+       lua_foreach_impl lua_src_install
+
+       einstalldocs
+}

Reply via email to